libaudio-mpd-perl (2.004-3) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ gregor herrmann ]
  * Update lintian overrides for renamed tags.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 08 Jun 2022 17:31:31 +0100

libaudio-mpd-perl (2.004-2) unstable; urgency=medium

  * debian/upstream/metadata: use HTTPS for GitHub URLs.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Jose Luis Rivas from Uploaders. Thanks for your work!
  * Remove Rene Mayorga from Uploaders. Thanks for your work!
  * Skip t/40-playlist.t during build and autopkgtest. (Closes: #846721)

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 Dec 2016 17:46:04 +0100

libaudio-mpd-perl (2.004-1) unstable; urgency=medium

  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.

  * Import upstream version 2.004:
    Fixes "mpd-dynamic: requires ratings.db since 2.002"
    (Closes: #823246)
  * Drop unix-socket-in-MPD_HOST.patch, merged upstream.

 -- gregor herrmann <gregoa@debian.org>  Fri, 20 May 2016 15:19:14 +0200

libaudio-mpd-perl (2.002-2) unstable; urgency=medium

  * Skip t/23-output.t test during build and autopkgtests. The test is
    timing critical, and expects specific error messages.

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Apr 2016 15:30:28 +0200

libaudio-mpd-perl (2.002-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Add debian/upstream/metadata.
  * Import upstream version 2.002.
  * Drop mpd-0.19.patch, merged upstream.
  * debian/copyright: document new bin/mpd-dump-ratings script.
  * Update years of packaging copyright.
  * Update (build) dependencies.
  * Add a patch and a lintian override for spelling issues.
  * Bump debhelper compatibility level to 9.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Apr 2016 12:44:11 +0200

libaudio-mpd-perl (2.000-4) unstable; urgency=medium

  * Add patch from Simon McVittie enabling UNIX socket support for MPD_HOST
    environment variable
    (Closes: #768982)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 20 Jun 2015 16:36:18 +0000

libaudio-mpd-perl (2.000-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.
  * Declare compliance with Debian Policy 3.9.6.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 May 2015 23:21:27 +0200

libaudio-mpd-perl (2.000-2) unstable; urgency=medium

  * Add patch to make tests work with mpd >= 0.19.

    One tests checks for the accumulated playtime of the audio samples.
    Test::Corpus::Audio::MPD contains 5 tracks just over 1.8 seconds each.
    mpd < 0.19 rounded each track up to 2 seconds then added the lengths in
    seconds to get 10s, but mpd >= 0.19 adds up the lengths in ms and then
    rounds it down to 9s.
    Change this test to look for >= 9 and <= 10 seconds.

    Thanks to Simon McVittie for the patch. (Closes: #768692)

 -- gregor herrmann <gregoa@debian.org>  Wed, 12 Nov 2014 20:52:49 +0100

libaudio-mpd-perl (2.000-1) unstable; urgency=low

  [ Alessandro Ghedini ]
  * Email change: Alessandro Ghedini -> ghedo@debian.org

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  * New upstream release. Fixes
    + "FTBFS: Tests errors"
      (Closes: #730936)
    + "deprecation warnings from Moose::Util::TypeConstraints"
      (Closes: #740621)
  * Bump versioned (build) dependency on libaudio-mpd-common-perl to
    2.001; cf. CPAN RT#91082
  * Update years of packaging copyright.
  * debian/control:
    - add alternative for IO::Socket::IP
    - add new build dependencies on liblist-allutils-perl and net-tools
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Wed, 11 Jun 2014 19:39:54 +0200

libaudio-mpd-perl (1.120610-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * debian/control:
    - bump version of libtest-corpus-audio-mpd-perl build dependency
    - add (build) dependency on libio-socket-ip-perl
    - add perl as an alternative build dependency for Module::Build

  [ Florian Schlichting ]
  * Bumped Standards-Version to 3.9.3 (use copyright-format 1.0).
  * Fixed Perl errors and warnings when no song is playing, quickly applied
    by upstream (Closes: #655669, #655670).
  * Added myself to uploaders and copyright.
  * Imported Upstream version 1.120610.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Thu, 01 Mar 2012 16:54:42 +0000

libaudio-mpd-perl (1.112670-1) unstable; urgency=low

  [ Alessandro Ghedini ]
  * New upstream release 1.111200

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * New upstream release 1.112670.
  * Set Standards-Version to 3.9.2 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Sep 2011 21:50:11 +0200

libaudio-mpd-perl (1.110560-1) unstable; urgency=low

  [ Alessandro Ghedini ]
  * New upstream release
  * (Build-)Depends(-Indep) on libaudio-mpd-common-perl >= 1.110550
  * Build-Depends-Indep on libtest-corpus-audio-mpd-perl >= 1.110600,
    due to a bug in the previous version that made libaudio-mpd-perl FTBS
  * Bump to debhelper 8
  * Replace "Debian GNU/Linux" with just "Debian" in debian/copyright
  * Move libgetopt-euclid-perl and libproc-daemon-perl to
    (Build-)Depends(-Indep)
  * Add myself to Uploaders and debian/copyright

  [ gregor herrmann ]
  * d/copyright: update years of copyright.
  * Bump libtest-corpus-audio-mpd-perl version further to >= 1.110710, avoids
    another problem in tests.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 22:35:15 +0100

libaudio-mpd-perl (1.102260-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: point to /usr/share/common-licenses/GPL-1.
  * Set Standards-Version to 3.9.1 (no changes).
  * debian/control: remove version from libtest-corpus-audio-mpd-perl build
    dependency.
  * debian/{rules,control}: don't run RELEASE tests anymore, some of them are
    too fragile.
  * Convert to source format 3.0 (quilt).

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Aug 2010 12:38:59 +0200

libaudio-mpd-perl (1.100430-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.4 (no changes)
  * Add myself to Uploaders and Copyright
  * Rewrite control description

  [ gregor herrmann ]
  * debian/copyright: adjust formatting, years of upstream copyright, list of
    debian/ contributors.
  * debian/control: update dependencies as per upstream changes.

 -- gregor herrmann <gregoa@debian.org>  Wed, 24 Feb 2010 19:49:34 +0100

libaudio-mpd-perl (0.19.7-1) unstable; urgency=low

  * New upstream release
  * Removed patch, applied from upstream. Removed quilt and updated
    debian/rules.
  * Added me as maintainer.

 -- Jose Luis Rivas <ghostbar@debian.org>  Sun, 04 Oct 2009 00:29:40 -0430

libaudio-mpd-perl (0.19.6-2) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * Set Standards-Version to 3.8.3 (no further changes).
  * Add patch to deal with newer Class::Accessor, thanks to Joey Hess
    and Russ Allbery for the report and the fix (closes: #548305).
    Add quilt framework, minimize debian/rules, and bump debhelper/quilt
    dependencies.
  * debian/control: split Build-Depends and Build-Depends-Indep.
  * debian/copyright: minore updates.
  * debian/control: make short description a noun phrase.

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Sep 2009 22:46:23 +0200

libaudio-mpd-perl (0.19.6-1) unstable; urgency=low

  * New upstream release
  * debian/control
    + Add /me to Uploaders
  * Move both libgetopt-euclid-perl and libproc-daemon-perl from Suggests to
    Recommends (Closes: #514272)

 -- Franck Joncourt <franck.mail@dthconnex.com>  Sun, 15 Feb 2009 16:48:16 +0100

libaudio-mpd-perl (0.19.5-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Rene Mayorga ]
  * New upstream release
  * debian/copyright
    + update format
    + refresh upstream copyright years
    + Add individual stanzas for debian/* copyright
  * debian/rules; enable test suite, MPD related tests are skipped
  * debian/control; add libtest-pod-perl and libtest-pod-coverage-perl

 -- Rene Mayorga <rmayorga@debian.org.sv>  Fri, 16 Jan 2009 20:11:25 -0600

libaudio-mpd-perl (0.19.4-1) unstable; urgency=low

  * New upstream release.
  * Add /me to Uploaders.
  * Remove debian/examples, we already have libaudio-mpd-perl.examples; rename
    debian/docs to debian/libaudio-mpd-perl.docs for consistency.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Aug 2008 13:44:30 -0300

libaudio-mpd-perl (0.19.3-1) unstable; urgency=low

  * New upstream release
  * debian/control
    + add myself to uploaders
    + add module name to Long description
    + wrap long lines
  * debian/copyright - convert to (new)format
  * refresh debian/rules with rules.dh7.noxs
  * Don't install README anymore - it only has installation info.

 -- Rene Mayorga <rmayorga@debian.org.sv>  Fri, 15 Aug 2008 19:43:55 -0600

libaudio-mpd-perl (0.19.2-1) unstable; urgency=low

  [ Joey Hess ]
  * Some more rules file minimisation.
  * Include examples/* and AUTHORS.

  [ Damyan Ivanov ]
  * New upstream release
  * debian/watch: use dist-based URL.
  * remove redundant README from docs
  * Put me in Uploaders, Joey removed himself
  * Standards-Version: 3.8.0 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 01 Jul 2008 10:27:05 +0300

libaudio-mpd-perl (0.19.1-2) unstable; urgency=low

  * debian/rules minimisation using debhelper v7.

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Apr 2008 22:54:13 -0400

libaudio-mpd-perl (0.19.1-1) unstable; urgency=low

  * New upstream release, incorporating my previous changes.

 -- Joey Hess <joeyh@debian.org>  Mon, 03 Dec 2007 16:58:20 -0500

libaudio-mpd-perl (0.19.0-3) unstable; urgency=low

  * Modify all_playlists to returns strings, not objects, for consistency
    with the other _all methods, and for speed.
  * Tighten up regexp in _cooked_command_as_kv, to not eat significant
    whitespace.

 -- Joey Hess <joeyh@debian.org>  Sat, 01 Dec 2007 15:39:01 -0500

libaudio-mpd-perl (0.19.0-2) unstable; urgency=low

  * Add an all_playlists method.
  * Tighten up regexp in _cooked_command_as_items, to not eat significant
    whitespace.

 -- Joey Hess <joeyh@debian.org>  Sat, 01 Dec 2007 15:08:03 -0500

libaudio-mpd-perl (0.19.0-1) unstable; urgency=low

  * New upstream release.
  * Incorporates all my changes so far.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Nov 2007 17:57:33 -0500

libaudio-mpd-perl (0.18.3-2) unstable; urgency=low

  * Fix my broken MPD_HOST password patch.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Nov 2007 20:01:51 -0500

libaudio-mpd-perl (0.18.3-1) unstable; urgency=low

  * Initial debianisation.
  * Support MPD_HOST of the form password@host, as used by mpc.
  * mpd-dynamic: Connect before daemonising so that errors are
    visible.

 -- Joey Hess <joeyh@debian.org>  Wed, 28 Nov 2007 17:44:52 -0500
